<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$sortId = 4;
$toolId = \ToolsAPI::TOOL_RAUMBELEGUNG_HM;

$objsettings = ToolSettingsAPI::getToolSettings($toolId);

$settingsArray = array();

$setting = new Setting();
$setting->description = 'Sortierung der Medieneinträge';
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INFOTEXT);
array_push($settingsArray, $setting);

$sortHelpText = 'Bei Auswahl der Einstellung für Datum und Uhrzeit, werden die Einträge gleich nach Datum <b>UND</b> Uhrzeit '
                 . 'sortiert. Hierbei werden beide Kriterien immer in der gleichen Reihenfolge (z.B. aufsteigend) ausgegeben.';
$setting = new Setting();
$setting->name = 'sortmedien';
$setting->description = 'Sortierung der Medien';
$setting->help = $sortHelpText;
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);



$setting->config->items = array(
    'datumZeit' => 'nach Datum und Uhrzeit',
    'raumortname' => 'nach Raumbezeichnung'
    );
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortmedienasc';
$setting->description = 'Sortierkriterium auf- oder absteigend';
$setting->help = '';
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    '1' => 'aufsteigend',
    '' => 'absteigend'
);
array_push($settingsArray, $setting);


$setting = new Setting();
$setting->name = 'sortmedienzusatz';
$setting->description = 'weiteres Sortierkriterium für Medien';
$setting->help = $sortHelpText;
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);



$setting->config->items = array(
    'datumZeit' => 'nach Datum und Uhrzeit',
    'raumortname' => 'nach Raumbezeichnung'
    );
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'sortmedienzusatzasc';
$setting->description = 'zusätzliches Sortierkriterium auf- oder absteigend';
$setting->help = '';
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_RADIO);
$setting->config->items = array(
    '1' => 'aufsteigend',
    '' => 'absteigend'
);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showohnegebaeude';
$setting->description = 'Raumbezeichnung verkürzen, falls Hausmeister nur für Räume eines Gebäudes zuständig ist';
$setting->help = 'Wenn diese Haken gesetzt ist gilt: Falls dem Hausmeister nur die Räume eines Gebäudes zugeordnet sind, wird der Gebäudename aus der Raumbezeichnung '
                 . 'entfernt. Dies gilt unabhängig davon, ob die Kurz- oder die Langbezeichnung für den Gebäudenamen verwendet wird. ';
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'showshortonly';
$setting->description = 'Verkürze Raumbezeichnung, falls sie zu lang ist';
$setting->help = 'Wenn dieser Haken gesetzt ist, wird eine überlange Raumbezeichnug gekürzt und nur der hintere Teil ausgegeben. Die Raumbezeichnung wird auch dann '
                 . 'gekürzt, wenn dem Hausmeister mehrere Räume zugordnet sind. Es wird die in der folgenden Einstellung angegebene Zeichenlänge zugelassen.';
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_CHECKBOX);
array_push($settingsArray, $setting);

$setting = new Setting();
$setting->name = 'raumbezlaenge';
$setting->description = 'zugelassene Zeichenlänge für die Raumbezeichnung';
$setting->help = 'Legt die Anzahl der maximal für die Raumbezeichnung zugelassen Zeichen fest. Ist nur dann aktiv, wenn obige Einstellung zum Ausgaben '
                 . 'einer verkürzten Raumbezeichnung gesetzt ist. ';
$setting->subGroup = 'Medienübersicht';
$setting->toolId = $toolId;
$setting->config->loadConfiguration(SC_INPUTNUMERIC);
$setting->config->size = 4;
$setting->config->maxLength = 4;
$setting->config->allowNegative = false;
$setting->config->HasIncrDecr = true;
array_push($settingsArray, $setting);